{=======================================================================================================================

  Comming BASE

      -. .

========================================================================================================================

  :

  14.09.2015 [*]      AddStringFromClipboard.
  26.05.2015 [+]    .
  21.10.2012 [*]  .
  22.01.2010 [+]    .
             [+]     .
  04.01.2010 [+]  .  .
  06.04.1999 [!]   BASE.

========================================================================================================================
  Copyright 19992015 TSK Developer Laboratory, Moscow.                                         Konstantin Tsvetkov
                                                                                                  e-mail: dev@tsklab.ru
                                                                                                  http://www.tsklab.ru
  CVS: $Id: BASEfrTextInsert.pas,v 1.5 2015/09/14 05:51:23 tsk Exp $
=======================================================================================================================}
unit BASEfrTextInsert;

interface

uses  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, ExtCtrls,
      StdCtrls, Menus,
      // BASE:
      BASEfrRoot,
      // Comming:
      CommingButton, CommingFlat, CommingString;

type

  TInsertLine = procedure ( Line: String ) of object;

  TBASETextInsertFR = class( TBASERootFR )
    laTitle: TStaticText;
    meData: TcoMemo;
    btInsert: TcoButton;
    btFormat: TcoButton;
    pmFormat: TPopupMenu;
    btClipb: TcoButton;
    procedure btInsertClick(Sender: TObject);
    procedure btFormatClick(Sender: TObject);
    procedure btClipbClick(Sender: TObject);
  private   { Private declarations }
  public    { Public declarations }
    InsertLine: TInsertLine;
    constructor CreateComming( AOwner: TComponent; AInsert: TInsertLine );
  end;

implementation

uses BASEdmData;

{$R *.dfm}
//======================================================================================================================
{ TBASETextInsertFR }
//======================================================================================================================
constructor TBASETextInsertFR.CreateComming(AOwner: TComponent; AInsert: TInsertLine );
begin
  inherited Create(AOwner);
  InsertLine  := AInsert;
end;
//======================================================================================================================
procedure TBASETextInsertFR.btClipbClick(Sender: TObject);
begin
  meData.Text := AddStringFromClipboard( meData.Text );
end;
//======================================================================================================================
procedure TBASETextInsertFR.btInsertClick( Sender: TObject );
begin
  if Assigned( InitProc ) then begin
    InsertLine( meData.Lines[0] );
    meData.Lines.Delete(0);
  end;
end;
//======================================================================================================================
procedure TBASETextInsertFR.btFormatClick(Sender: TObject);
begin
  with btFormat.ClientOrigin do TrackPopupMenu(pmFormat.Handle, TPM_BOTTOMALIGN, X, Y, 0, PopupList.Window, nil);
end;
//======================================================================================================================
end.
