{===================================================================================================

  Comming BASE

     . DBDateEdit,    .

====================================================================================================

  :

  17.09.2008 [*] .
  11.07.2003 [+]  .
  06.04.1999 [!]   BASE.

====================================================================================================
  Copyright 19992008 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEsfDBDateLabelPeriod.pas,v 1.2 2008/09/23 06:15:40 tsk Exp $
===================================================================================================}
unit BASEsfDBDateLabelPeriod;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Mask,
      // Comming:
      CommingFlat, CommingEditExtended, CommingDBEditExtended;

type
  TBASEDBEditDateLabelPeriodSF = class( TFrame )
    laFrom: TcoLabel;
    edFrom: TcoDBDateEdit;
    laTo: TcoLabel;
    edTo: TcoDBDateEdit;
  private   { Private declarations }
    FReadOnly:  Boolean;
    FEnabled:   Boolean;
    procedure   SetFEnabled(const Value: Boolean);
    procedure   SetFReadOnly(const Value: Boolean);
  public    { Public declarations }
    property    Enabled:  Boolean read FEnabled write SetFEnabled;
    property    ReadOnly: Boolean read FReadOnly write SetFReadOnly;
  end;

implementation

{$R *.DFM}
//==================================================================================================
{ TBASEDBEditDateLabelPeriodSF }
//==================================================================================================
procedure TBASEDBEditDateLabelPeriodSF.SetFEnabled(const Value: Boolean);
begin
  FEnabled        := Value;
  laFrom.Enabled  := Value;
  edFrom.Enabled  := Value;
  laTo.Enabled    := Value;
  edTo.Enabled    := Value;
end;
//==================================================================================================
procedure TBASEDBEditDateLabelPeriodSF.SetFReadOnly(const Value: Boolean);
begin
  FReadOnly       := Value;
  edFrom.ReadOnly := Value;
  edTo.ReadOnly   := Value;
end;
//==================================================================================================
end.
