{===================================================================================================

  Comming BASE

     . DBEdit,     MRU-.

====================================================================================================

  :

  08.07.2003 TSK  [+]  .
  06.04.1999 TSK  [!]   BASE.

====================================================================================================
  Copyright 19992003 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEsfDBEditMRU.pas,v 1.2 2004/08/17 08:48:58 tsk Exp $
===================================================================================================}
unit BASEsfDBEditMRU;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Mask, DBCtrls,
      // Comming:
      CommingFlat, CommingButton;

type
  TBASEDBEditMRUSF = class( TFrame )
    laField: TcoLabel;
    edField: TcoDBEdit;
    btMRU: TcoButton;
  private   { Private declarations }
    FEnabled: Boolean;
    FReadOnly: Boolean;
    procedure   _SetEnabled(const Value: Boolean);
    procedure   _SetReadOnly(const Value: Boolean);
  public    { Public declarations }
    property    Enabled: Boolean read FEnabled write _SetEnabled;
    property    ReadOnly: Boolean read FReadOnly write _SetReadOnly;
  end;

implementation

{$R *.DFM}

//==================================================================================================
{ TBASEDBEditMRUSF }
//==================================================================================================
procedure TBASEDBEditMRUSF._SetEnabled(const Value: Boolean);
begin
  FEnabled          := Value;
  laField.Enabled   := Value;
  edField.Enabled   := Value;
  edField.ReadOnly  := not Value;
end;
//==================================================================================================
procedure TBASEDBEditMRUSF._SetReadOnly(const Value: Boolean);
begin
  FReadOnly         := Value;
  edField.ReadOnly  := Value;
end;
//==================================================================================================
end.
