{===================================================================================================

  Comming BASE

     .    .

====================================================================================================

  :

  16.08.2004 TSK  [+]  .
  06.04.1999 TSK  [!]   BASE.

====================================================================================================
  Copyright 19992004 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEsfEditButton.pas,v 1.1 2004/08/17 08:48:59 tsk Exp $
===================================================================================================}
unit BASEsfEditButton;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Mask,
      // Comming:
      CommingFlat, CommingButton;

type
  TBASEEditButtonSF = class( TFrame )
    laField: TcoLabel;
    edField: TcoEdit;
    btDo: TcoButton;
  private   { Private declarations }
    FEnabled: Boolean;
    FReadOnly: Boolean;
    procedure   _SetEnabled(const Value: Boolean);
    procedure   _SetReadOnly(const Value: Boolean);
  public    { Public declarations }
    property    Enabled: Boolean read FEnabled write _SetEnabled;
    property    ReadOnly: Boolean read FReadOnly write _SetReadOnly;
  end;

implementation

{$R *.DFM}
//==================================================================================================
{ TBASEEditButtonSF }
//==================================================================================================
procedure TBASEEditButtonSF._SetEnabled(const Value: Boolean);
begin
  FEnabled          := Value;
  laField.Enabled   := Value;
  edField.Enabled   := Value;
  edField.ReadOnly  := not Value;
end;
//==================================================================================================
procedure TBASEEditButtonSF._SetReadOnly(const Value: Boolean);
begin
  FReadOnly         := Value;
  edField.ReadOnly  := Value;
end;
//==================================================================================================
end.
