{===================================================================================================

  Comming BASE

      ,    -.

====================================================================================================

  :

  24.05.2004 TSK  [+]  constructor.
  11.10.2002 TSK  [*]   .
  05.05.2002 TSK  [+]  .
  06.04.1999 TSK  [!]   BASE.

====================================================================================================
  Copyright 1999-2004 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEfrEditClient.pas,v 1.4 2005/11/15 10:51:44 tsk Exp $
===================================================================================================}
unit BASEfrEditClient;

interface

uses  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
      Dialogs, BASEfrRootClient, ActnList, ExtCtrls, DB, ADODB, TB2Item,
      TB2Dock, TB2Toolbar, PropFilerEh, PropStorageEh;

type

  TAfterPost = procedure of object;

  TBASEEditClientFR = class( TBASERootClientFR )
    dsData: TDataSource;
    taData: TADODataSet;
    acPost: TAction;
    acCancel: TAction;
    TBSeparatorItem3: TTBSeparatorItem;
    TBItem5: TTBItem;
    procedure acPostUpdate(Sender: TObject);
    procedure acPostExecute(Sender: TObject);
    procedure imExitClick(Sender: TObject);
  private { Private declarations }
  public  { Public declarations }
    AfterPost: TAfterPost;
    constructor CreateComming( AOwner: TComponent; AProc: TAfterPost );
  end;

implementation

{$R *.dfm}
//==================================================================================================
constructor TBASEEditClientFR.CreateComming(AOwner: TComponent; AProc: TAfterPost);
begin
  inherited Create(AOwner);
  AfterPost := AProc;
end;
//==================================================================================================
procedure TBASEEditClientFR.acPostUpdate(Sender: TObject);
begin
  (Sender as TAction).Enabled := ( dsData.State in [dsEdit, dsInsert]);
end;
//==================================================================================================
procedure TBASEEditClientFR.acPostExecute(Sender: TObject);
begin
  Screen.Cursor := crHourGlass;
  try
    taData.Post;
    if Assigned( AfterPost ) then AfterPost;
    taData.Close;
  finally
    Screen.Cursor := crDefault;
  end;
  inherited imExitClick( Sender );
end;
//==================================================================================================
procedure TBASEEditClientFR.imExitClick(Sender: TObject);
begin
  taData.Cancel;
  inherited;
end;
//==================================================================================================
end.
