{==================================================================================================

  Comming BASE

            (DBGrid).
             (taFind).

===================================================================================================

  :

  17.08.2004 TSK  [*]    .
  21.01.2004 TSK  [+]  .
  06.04.1999 TSK  [!]   BASE.

===================================================================================================
  Copyright 19992004 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEfrFindGrid.pas,v 1.2 2004/08/17 08:48:59 tsk Exp $
===================================================================================================}
unit BASEfrFindGrid;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
      StdCtrls, ExtCtrls, DB, ADODB, Grids, ActnList, DBGridEh,
      // BASE:
      BASEfrRoot,
      // Comming:
      CommingButton, CommingDBGridEh, CommingParameterTable;

type

  TChoiceKey = procedure ( Key: Variant) of object;

  TBASEFineDBGridFR = class( TBASERootFR )
    btChoice: TcoButton;
    laTitle:  TStaticText;
    taFind: TADODataSet;
    dsFind: TDataSource;
    grFind: TcoDBGridEh;
    taQuery: TcoPTable;
    dsQuery: TDataSource;
    btGo: TcoButton;
    procedure btChoiceClick(Sender: TObject);
    procedure btCancelClick(Sender: TObject);
    procedure btGoClick(Sender: TObject);
    procedure dsFindStateChange(Sender: TObject);
  private   { Private declarations }
    OnChoiceKey: TChoiceKey;
  public    { Public declarations }
    constructor CreateComming( AOwner: TComponent; AProc: TChoiceKey );
  end;

implementation

{$R *.DFM}

//==================================================================================================
{ TBASEFineDBGridFR }
//==================================================================================================
constructor TBASEFineDBGridFR.CreateComming(AOwner: TComponent; AProc: TChoiceKey);
begin
  inherited Create(AOwner);
  OnChoiceKey := AProc;
  taQuery.LoadRecordFromRegistry;
end;
//==================================================================================================
procedure TBASEFineDBGridFR.btChoiceClick( Sender: TObject );
begin
  if ( taQuery.State in [ dsInsert, dsEdit ] ) then taQuery.Post;
  taQuery.SaveRecordToRegistry;
  if Assigned( OnChoiceKey ) then OnChoiceKey( taFind.Fields[0].Value );
  CloseModal;
end;
//==================================================================================================
procedure TBASEFineDBGridFR.btCancelClick(Sender: TObject);
begin
  taFind.Close;
  inherited;
end;
//==================================================================================================
procedure TBASEFineDBGridFR.btGoClick(Sender: TObject);
begin
  if ( taQuery.State in [ dsInsert, dsEdit ] ) then taQuery.Post;
end;
//==================================================================================================
procedure TBASEFineDBGridFR.dsFindStateChange(Sender: TObject);
begin
//  inherited;
  btChoice.Enabled := ( taFind.Active ) and ( taFind.RecordCount > 0 );
end;
//==================================================================================================
end.
